title: Publication
tabs:
  main:
    display: Main
    sections:
      -
        fields:
          -
            handle: title
            field:
              type: text
              display: Title
              required: true
              validate:
                - required
          -
            handle: date
            field:
              type: date
              display: Publication Date
          -
            handle: content
            field:
              type: bard
              display: Content
              fullscreen: true
              smart_typography: true
          -
            handle: featured_image
            field:
              type: assets
              container: assets
              max_files: 1
              display: Featured Image
          -
            handle: original_link
            field:
              type: text
              display: Original Article URL
              input_type: url
  publisher:
    display: Publisher
    sections:
      -
        fields:
          -
            handle: publisher_name
            field:
              type: text
              display: Publisher Name
          -
            handle: publisher_logo
            field:
              type: assets
              container: assets
              max_files: 1
              display: Publisher Logo
          -
            handle: publisher_color
            field:
              type: color
              display: Publisher Background Color
          -
            handle: images
            field:
              type: assets
              container: assets
              display: Additional Images
              max_files: 50
          -
            handle: likes_count
            field:
              type: integer
              display: Likes Count
              default: 0
